Subject: bug#18596: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Nov 2014 05:38:41 +0200

> From: [email-masked] (Fabián Ezequiel Gallina)
> Cc: [email-masked]
> Date: Sun, 16 Nov 2014 18:16:47 -0300
> 
> > Thanks.  But
> >
> >   M-: (run-python (executable-find "python") nil) RET
> >
> > still hangs for me on MS-Windows.  What am I missing?
> >
> 
> I believe we agreed on the fix being that the defaults should not hang.

Indeed.  Trouble is, it still does.

> The fact that your example hangs on Window is bad but it's not worth the
> trouble of mangling the provided command and trying to add the "-i"
> switch to it as it would break other cases.

We can add -i as long as the caller didn't provide a command.  I see
nothing wrong with this.  If you do, please explain why is it wrong.
Which other use cases will it break?

> >From the Python help:
> 
> -i     : inspect interactively after running script; forces a prompt even
>          if stdin does not appear to be a terminal; also PYTHONINSPECT=x
>  
> So I tried a solution that was ought to leave everyone happy, which was
> setting PYTHONINSPECT env variable before run-python, but that didn't
> help on Windows either.  If you have other ideas I'm eager to try them
> out.

I had another idea to begin with: add -i.  I also tested it and found
it to work in the use case I presented.

Thanks.